ServiceTypeInfo (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.ServiceTypeInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ServiceTypeInfo

    java.lang.Object
      org.hyperic.hq.product.TypeInfo
          org.hyperic.hq.product.ServiceTypeInfo

All Implemented Interfaces:
  java.lang.Cloneable

    public class ServiceTypeInfo

extends TypeInfo
implements java.lang.Cloneable

Field Summary

Fields inherited from class org.hyperic.hq.product.TypeInfo
`TYPE_PLATFORM, TYPE_SERVER, TYPE_SERVICE`

Constructor Summary
`ServiceTypeInfo()`
`ServiceTypeInfo(java.lang.String name, java.lang.String description, ServerTypeInfo server)`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `getInternal()`
`java.lang.String` | `getServerName()`
`ServerTypeInfo` | `getServerTypeInfo()`
`java.lang.String` | `getServerVersion()`
`int` | `getType()`
`void` | `setInternal(boolean flag)`
`void` | `setServerTypeInfo(ServerTypeInfo server)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.product.TypeInfo
`equals, formatName, getDescription, getFormattedName, getName, getPlatformTypes, getVersion, isServer, isServer, isService, isService, isUnixPlatform, isVersion, isWin32Platform, setDescription, setName`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceTypeInfo

    public ServiceTypeInfo()

### ServiceTypeInfo

    public ServiceTypeInfo(java.lang.String name,
                           java.lang.String description,
                           ServerTypeInfo server)

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getInternal

    public boolean getInternal()

### setInternal

    public void setInternal(boolean flag)

### getType

    public int getType()

  Specified by:
    `getType` in class `TypeInfo`

### getServerName

    public java.lang.String getServerName()

### getServerVersion

    public java.lang.String getServerVersion()

### setServerTypeInfo

    public void setServerTypeInfo(ServerTypeInfo server)

### getServerTypeInfo

    public ServerTypeInfo getServerTypeInfo()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.